Bug 523559 - New i686 build does not work on VIA Samuel 2
Summary: New i686 build does not work on VIA Samuel 2
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 00:15 UTC by W. Michael Petullo
Modified: 2010-04-18 00:58 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-09-25 19:02:26 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2009-09-16 00:15:22 UTC
Description of problem:
The Fedora 12 Alpha packages will not install on a server that uses a VIA Samuel 2 processor.

Version-Release number of selected component (if applicable):
kernel-2.6.31-0.125.4.2.rc5.git2.fc12.i686.rpm

How reproducible:
Every time

Steps to Reproduce:
Try to install new i686 kernel package on a VIA Samuel 2 processor.
  
Actual results:
package kernel-2.6.31-0.125.4.2.rc5.git2.fc12.i686 is intended for a i686 architecture
package kernel-headers-2.6.31-0.125.4.2.rc5.git2.fc12.i686 is intended for a i686 architecture

Expected results:

Additional info:
$ cat /proc/cpuinfo 
processor	: 0
vendor_id	: CentaurHauls
cpu family	: 6
model		: 7
model name	: VIA Samuel 2
stepping	: 3
cpu MHz		: 599.853
cache size	: 64 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu de tsc msr cx8 mtrr pge mmx 3dnow up
bogomips	: 1199.70
clflush size	: 32
power management:

Comment 1 Dave Jones 2009-09-25 19:02:26 UTC
Fedora 12 no longer supports 586 class CPUs (which includes 686 without cmov, like early VIA)

http://fedoraproject.org/wiki/Features/F12X86Support

Comment 2 Dave Morris 2010-04-18 00:58:05 UTC
"Fedora 12 no longer supports 586 class CPUs"

In which case, please change the name of the iso files.

Fedora-12-i686-Live.iso makes it clear that it won't run on an old (i586) system.

Fedora-12-i386-disc1.iso implies that this would run on an old cpu.


Note You need to log in before you can comment on or make changes to this bug.